image: ruby:3.0.5

stages:
- triage

cache:
  paths:
  - vendor/ruby

## Public handbook
dry-run:hb-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 42817607 --dry-run
  except:
  - main

run:hb-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 42817607
  only:
  - schedules

## Internal handbook
dry-run:internal-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 26282493 --dry-run
  except:
  - main

run:internal-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 26282493
  only:
  - schedules

## Docsy theme
dry-run:docsy-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 40085411 --dry-run
  except:
  - main

run:docsy-triage:
  stage: triage
  script:
  - gem install gitlab-triage
  - gitlab-triage --token $API_TOKEN --source-id 40085411
  only:
  - schedules
